> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent

> Get an agent by ID.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/agents/{agent_id}
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/agents/{agent_id}:
    get:
      tags:
        - Agents
      summary: Get Agent
      description: Get an agent by ID.
      operationId: core_api_v1_controllers_agents_get_agent
      parameters:
        - in: path
          name: agent_id
          schema:
            title: Agent Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentDetailOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    AgentDetailOut:
      description: Full agent response schema for detail views.
      properties:
        object:
          default: agent
          title: Object
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        status:
          title: Status
          type: string
        prompt_template_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Template Id
        prompt_template_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Template Name
        tools:
          default: []
          items:
            additionalProperties: true
            type: object
          title: Tools
          type: array
        sources:
          default: []
          items:
            additionalProperties: true
            type: object
          title: Sources
          type: array
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
        custom_icon_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Custom Icon Id
        is_background_agent:
          default: false
          title: Is Background Agent
          type: boolean
        can_be_used_as_tool:
          default: false
          title: Can Be Used As Tool
          type: boolean
        ui_selectable:
          default: true
          title: Ui Selectable
          type: boolean
        order:
          anyOf:
            - type: integer
            - type: 'null'
          title: Order
        pinned_documents:
          default: []
          items:
            additionalProperties: true
            type: object
          title: Pinned Documents
          type: array
        number_docs_to_retrieve:
          default: 8
          title: Number Docs To Retrieve
          type: integer
        number_docs_to_display:
          default: 8
          title: Number Docs To Display
          type: integer
        custom_llm_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Custom Llm Id
        custom_llm_temperature:
          anyOf:
            - type: number
            - type: 'null'
          title: Custom Llm Temperature
        custom_llm_top_p:
          anyOf:
            - type: number
            - type: 'null'
          title: Custom Llm Top P
        reranker_activated:
          default: false
          title: Reranker Activated
          type: boolean
        ignore_sources_restrictions:
          default: false
          title: Ignore Sources Restrictions
          type: boolean
        is_router_agent:
          default: false
          title: Is Router Agent
          type: boolean
        default_router_agent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Default Router Agent Id
        reasoning_iterations:
          default: 1
          title: Reasoning Iterations
          type: integer
        tool_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Description
        share_conversation_context:
          default: false
          title: Share Conversation Context
          type: boolean
        max_call_depth:
          default: 5
          title: Max Call Depth
          type: integer
        satisfaction_feedback_activated:
          default: false
          title: Satisfaction Feedback Activated
          type: boolean
        satisfaction_feedback_question:
          default: ''
          title: Satisfaction Feedback Question
          type: string
        satisfaction_feedback_helper_text:
          default: ''
          title: Satisfaction Feedback Helper Text
          type: string
        satisfaction_feedback_no_action:
          default: ticket_form
          title: Satisfaction Feedback No Action
          type: string
        inject_user_ticket_context:
          default: false
          title: Inject User Ticket Context
          type: boolean
        ticket_context_days_limit:
          default: 7
          title: Ticket Context Days Limit
          type: integer
      required:
        - id
        - name
        - status
      title: AgentDetailOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````